<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>
	<xsl:output method="html"/>
	
	<xsl:template match="/config" >

		<html xml:lang="fr">
		<head>
		  
			<meta charset="utf-8"/>
			<title>params.xml</title>
			<meta name="description" content=""/>
			<meta name="author" content=""/>
			
			<!-- Le HTML5 shim, for IE6-8 support of HTML elements -->
			<!--[if lt IE 9]>
			  <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
			<![endif]-->
			
			<!-- Le styles -->
			<link href="/assets/css/bootstrap.css" rel="stylesheet"/>
			<link href="/assets/css/prettify.css" rel="stylesheet"/>
			
			<!-- Le javascript -->
		    <script src="http://code.jquery.com/jquery-1.5.2.min.js"></script>
		    <script src="http://autobahn.tablesorter.com/jquery.tablesorter.min.js"></script>
		    <script src="/assets/js/prettify.js"></script>
		    <script>$(function () { prettyPrint() })</script>
		    <script src="/assets/js/bootstrap-dropdown.js"></script>
		    <script src="/assets/js/bootstrap-twipsy.js"></script>
		    <script src="/assets/js/bootstrap-scrollspy.js"></script>
		    <script src="/assets/js/bootstrap-tabs.js"></script>
		    <script src="/assets/js/bootstrap-popover.js"></script>
		    <script src="/assets/js/bootstrap-modal.js"></script>
			    
		</head>
		
		<body>
			<div class="page-header">
		    	<h1>params.xml <small></small></h1>
		  	</div>
		 
			<script >
			  $(function() {
			    $("table#sortTableExample").tablesorter({ sortList: [[1,0]] });
			  });
			</script>
			<table class="bordered-table zebra-striped" id="sortTableExample">
		    	<thead>
		          <tr>
		            <th class="blue">Param id</th>
		            <th class="green">value</th>
		            <th class="yellow">type</th>
		          </tr>
		        </thead>
		        <tbody>
			        <xsl:for-each select="params">
					<xsl:for-each select="param">
					<tr>
					  <td><xsl:value-of select="@id"/></td>
					  <td><xsl:value-of select="@value"/></td>
					  <td><xsl:if test="(string-length(@type) &gt; 0)">
						<span class="label"><xsl:value-of select="@type"/></span>
						</xsl:if></td>
					</tr>
			        </xsl:for-each>
					</xsl:for-each>
		        </tbody>
	        </table>
				
		</body>
		</html>
	</xsl:template >
	 
</xsl:stylesheet>